# Search Ofac Search for OFAC matches by name. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "baselayer-api-service", "version": "0.1.0" }, "servers": [ { "url": "https://api.baselayer.com/" } ], "paths": { "/ofac/searches": { "post": { "tags": [ "OFAC" ], "summary": "Search Ofac", "description": "Search for OFAC matches by name.", "operationId": "search_ofac_ofac_searches_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/OFACSearchRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.OFACSearchResponse" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } }, "security": [ { "APIKeyHeader": [] } ] } } }, "webhooks": { "InternationalBusinessSearch.submitted": { "post": { "tags": [ "Webhook Events" ], "summary": "InternationalBusinessSearch.submitted", "description": "Emitted when an International Business search has been submitted for processing.", "operationId": "webhook_handlerInternationalBusinessSearch_submitted_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.InternationalBusinessSearchSubmittedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "InternationalBusinessSearch.completed": { "post": { "tags": [ "Webhook Events" ], "summary": "InternationalBusinessSearch.completed", "description": "Emitted when an International Business search has completed and results are available.", "operationId": "webhook_handlerInternationalBusinessSearch_completed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.InternationalBusinessSearchCompletedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "InternationalBusinessSearch.failed": { "post": { "tags": [ "Webhook Events" ], "summary": "InternationalBusinessSearch.failed", "description": "Emitted when an International Business search has failed.", "operationId": "webhook_handlerInternationalBusinessSearch_failed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.InternationalBusinessSearchFailedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "WebsiteAnalysisRequest.submitted": { "post": { "tags": [ "Webhook Events" ], "summary": "WebsiteAnalysisRequest.submitted", "description": "Emitted when a Website Analysis request has been submitted for processing.", "operationId": "webhook_handlerWebsiteAnalysisRequest_submitted_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.WebsiteAnalysisRequestSubmittedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "WebsiteAnalysisRequest.completed": { "post": { "tags": [ "Webhook Events" ], "summary": "WebsiteAnalysisRequest.completed", "description": "Emitted when a Website Analysis request has completed and results are available.", "operationId": "webhook_handlerWebsiteAnalysisRequest_completed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.WebsiteAnalysisRequestCompletedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "WebsiteAnalysisRequest.failed": { "post": { "tags": [ "Webhook Events" ], "summary": "WebsiteAnalysisRequest.failed", "description": "Emitted when a Website Analysis request has failed.", "operationId": "webhook_handlerWebsiteAnalysisRequest_failed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.WebsiteAnalysisRequestFailedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "WebPresenceRequest.submitted": { "post": { "tags": [ "Webhook Events" ], "summary": "WebPresenceRequest.submitted", "description": "Emitted when a Web Presence request has been submitted for processing.", "operationId": "webhook_handlerWebPresenceRequest_submitted_post", "requestBody": { "content": { "application/json": { "schema": { "anyOf": [ { "$ref": "#/components/schemas/v1.WebPresenceRequestSubmittedWebhook" }, { "$ref": "#/components/schemas/v2.WebPresenceRequestSubmittedWebhook" } ], "title": "Body" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "WebPresenceRequest.completed": { "post": { "tags": [ "Webhook Events" ], "summary": "WebPresenceRequest.completed", "description": "Emitted when a Web Presence request has completed and results are available.", "operationId": "webhook_handlerWebPresenceRequest_completed_post", "requestBody": { "content": { "application/json": { "schema": { "anyOf": [ { "$ref": "#/components/schemas/v1.WebPresenceRequestCompletedWebhook" }, { "$ref": "#/components/schemas/v2.WebPresenceRequestCompletedWebhook" } ], "title": "Body" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "WebPresenceRequest.failed": { "post": { "tags": [ "Webhook Events" ], "summary": "WebPresenceRequest.failed", "description": "Emitted when a Web Presence request has failed.", "operationId": "webhook_handlerWebPresenceRequest_failed_post", "requestBody": { "content": { "application/json": { "schema": { "anyOf": [ { "$ref": "#/components/schemas/v1.WebPresenceRequestFailedWebhook" }, { "$ref": "#/components/schemas/v2.WebPresenceRequestFailedWebhook" } ], "title": "Body" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "AdverseMediaSearch.submitted": { "post": { "tags": [ "Webhook Events" ], "summary": "AdverseMediaSearch.submitted", "description": "Emitted when an Adverse Media Search request has been submitted for processing.", "operationId": "webhook_handlerAdverseMediaSearch_submitted_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.AdverseMediaSearchSubmittedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "AdverseMediaSearch.completed": { "post": { "tags": [ "Webhook Events" ], "summary": "AdverseMediaSearch.completed", "description": "Emitted when an Adverse Media Search request has completed and results are available.", "operationId": "webhook_handlerAdverseMediaSearch_completed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.AdverseMediaSearchCompletedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "AdverseMediaSearch.failed": { "post": { "tags": [ "Webhook Events" ], "summary": "AdverseMediaSearch.failed", "description": "Emitted when an Adverse Media Search request has failed.", "operationId": "webhook_handlerAdverseMediaSearch_failed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.AdverseMediaSearchFailedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "EmployeeVerificationRequest.submitted": { "post": { "tags": [ "Webhook Events" ], "summary": "EmployeeVerificationRequest.submitted", "description": "Emitted when an Employee Verification Request has been submitted for processing.", "operationId": "webhook_handlerEmployeeVerificationRequest_submitted_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.EmployeeVerificationRequestSubmittedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "EmployeeVerificationRequest.completed": { "post": { "tags": [ "Webhook Events" ], "summary": "EmployeeVerificationRequest.completed", "description": "Emitted when an Employee Verification Request has completed and results are available.", "operationId": "webhook_handlerEmployeeVerificationRequest_completed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.EmployeeVerificationRequestCompletedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "EmployeeVerificationRequest.failed": { "post": { "tags": [ "Webhook Events" ], "summary": "EmployeeVerificationRequest.failed", "description": "Emitted when an Employee Verification Request has failed.", "operationId": "webhook_handlerEmployeeVerificationRequest_failed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.EmployeeVerificationRequestFailedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "NAICSPredictionRequest.submitted": { "post": { "tags": [ "Webhook Events" ], "summary": "NAICSPredictionRequest.submitted", "description": "Emitted when a NAICS code prediction request has been submitted for processing.", "operationId": "webhook_handlerNAICSPredictionRequest_submitted_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.NAICSPredictionRequestSubmittedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "NAICSPredictionRequest.completed": { "post": { "tags": [ "Webhook Events" ], "summary": "NAICSPredictionRequest.completed", "description": "Emitted when a NAICS code prediction request has completed and results are available.", "operationId": "webhook_handlerNAICSPredictionRequest_completed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.NAICSPredictionRequestCompletedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "NAICSPredictionRequest.failed": { "post": { "tags": [ "Webhook Events" ], "summary": "NAICSPredictionRequest.failed", "description": "Emitted when a NAICS code prediction request has failed.", "operationId": "webhook_handlerNAICSPredictionRequest_failed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.NAICSPredictionRequestFailedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "Order.created": { "post": { "tags": [ "Webhook Events" ], "summary": "Order.created", "description": "Emitted when an Order has been placed for a Baselayer product.", "operationId": "webhook_handlerOrder_created_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.OrderCreatedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "DocketSearch.submitted": { "post": { "tags": [ "Webhook Events" ], "summary": "DocketSearch.submitted", "description": "Emitted when a Docket search for a business has been submitted for processing.", "operationId": "webhook_handlerDocketSearch_submitted_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.DocketSearchSubmittedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "DocketSearch.completed": { "post": { "tags": [ "Webhook Events" ], "summary": "DocketSearch.completed", "description": "Emitted when a Docket search for a business has completed and results are available.", "operationId": "webhook_handlerDocketSearch_completed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.DocketSearchCompletedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "DocketSearch.failed": { "post": { "tags": [ "Webhook Events" ], "summary": "DocketSearch.failed", "description": "Emitted when a Docket search for a business has failed.", "operationId": "webhook_handlerDocketSearch_failed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.DocketSearchFailedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "DocketDetailsSearch.submitted": { "post": { "tags": [ "Webhook Events" ], "summary": "DocketDetailsSearch.submitted", "description": "Emitted when a Docket Details search for a given Docket has been submitted for processing.", "operationId": "webhook_handlerDocketDetailsSearch_submitted_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.DocketDetailsSearchSubmittedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "DocketDetailsSearch.completed": { "post": { "tags": [ "Webhook Events" ], "summary": "DocketDetailsSearch.completed", "description": "Emitted when a Docket Details search for a given Docket has completed and results are available.", "operationId": "webhook_handlerDocketDetailsSearch_completed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.DocketDetailsSearchCompletedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "DocketDetailsSearch.failed": { "post": { "tags": [ "Webhook Events" ], "summary": "DocketDetailsSearch.failed", "description": "Emitted when a Docket Details search for a given Docket has failed.", "operationId": "webhook_handlerDocketDetailsSearch_failed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.DocketDetailsSearchFailedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "DocketExhibitSearch.submitted": { "post": { "tags": [ "Webhook Events" ], "summary": "DocketExhibitSearch.submitted", "description": "Emitted when a Docket Exhibit search for a given Docket Exhibit has been submitted for processing.", "operationId": "webhook_handlerDocketExhibitSearch_submitted_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.DocketExhibitSearchSubmittedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "DocketExhibitSearch.completed": { "post": { "tags": [ "Webhook Events" ], "summary": "DocketExhibitSearch.completed", "description": "Emitted when a Docket Exhibit search for a given Docket Exhibit has completed and results are available. The document associated with the Docket Exhibit may or may not be available for download, depending on whether it was successfully retrieved from the court's system.", "operationId": "webhook_handlerDocketExhibitSearch_completed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.DocketExhibitSearchCompletedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "DocketExhibitSearch.failed": { "post": { "tags": [ "Webhook Events" ], "summary": "DocketExhibitSearch.failed", "description": "Emitted when a Docket Exhibit search for a given Docket Exhibit has failed.", "operationId": "webhook_handlerDocketExhibitSearch_failed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.DocketExhibitSearchFailedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "DMFSearch.submitted": { "post": { "tags": [ "Webhook Events" ], "summary": "DMFSearch.submitted", "description": "Emitted when a Death Master File search has been submitted for processing.", "operationId": "webhook_handlerDMFSearch_submitted_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.DMFSearchSubmittedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "DMFSearch.completed": { "post": { "tags": [ "Webhook Events" ], "summary": "DMFSearch.completed", "description": "Emitted when a Death Master File search has completed and results are available.", "operationId": "webhook_handlerDMFSearch_completed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.DMFSearchCompletedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "DMFSearch.failed": { "post": { "tags": [ "Webhook Events" ], "summary": "DMFSearch.failed", "description": "Emitted when a Death Master File search has failed.", "operationId": "webhook_handlerDMFSearch_failed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.DMFSearchFailedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "PortfolioItem.created": { "post": { "tags": [ "Portfolio Monitoring", "Webhook Events" ], "summary": "PortfolioItem.created", "description": "Emitted when a business was added to the portfolio.", "operationId": "webhook_handlerPortfolioItem_created_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.PortfolioItemCreatedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "PortfolioItem.updated": { "post": { "tags": [ "Portfolio Monitoring", "Webhook Events" ], "summary": "PortfolioItem.updated", "description": "Emitted when a portfolio item has been updated.", "operationId": "webhook_handlerPortfolioItem_updated_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.PortfolioItemUpdatedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "PortfolioItem.deleted": { "post": { "tags": [ "Portfolio Monitoring", "Webhook Events" ], "summary": "PortfolioItem.deleted", "description": "Emitted when a portfolio item has been deleted.", "operationId": "webhook_handlerPortfolioItem_deleted_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.PortfolioItemDeletedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "PortfolioGroup.created": { "post": { "tags": [ "Portfolio Monitoring", "Webhook Events" ], "summary": "PortfolioGroup.created", "description": "Emitted when a portfolio group was created.", "operationId": "webhook_handlerPortfolioGroup_created_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.PortfolioGroupCreatedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "PortfolioGroup.updated": { "post": { "tags": [ "Portfolio Monitoring", "Webhook Events" ], "summary": "PortfolioGroup.updated", "description": "Emitted when a portfolio group was updated.", "operationId": "webhook_handlerPortfolioGroup_updated_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.PortfolioGroupUpdatedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "PortfolioGroup.deleted": { "post": { "tags": [ "Portfolio Monitoring", "Webhook Events" ], "summary": "PortfolioGroup.deleted", "description": "Emitted when a portfolio group was deleted.", "operationId": "webhook_handlerPortfolioGroup_deleted_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.PortfolioGroupDeletedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "LiensSearch.submitted": { "post": { "tags": [ "Webhook Events" ], "summary": "LiensSearch.submitted", "description": "Emitted when a Liens search for a Business has been submitted for processing.", "operationId": "webhook_handlerLiensSearch_submitted_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.LiensSearchSubmittedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "LiensSearch.completed": { "post": { "tags": [ "Webhook Events" ], "summary": "LiensSearch.completed", "description": "Emitted when a Liens search for a Business has completed and results are available.", "operationId": "webhook_handlerLiensSearch_completed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.LiensSearchCompletedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "LiensSearch.failed": { "post": { "tags": [ "Webhook Events" ], "summary": "LiensSearch.failed", "description": "Emitted when a Liens search for a Business has failed.", "operationId": "webhook_handlerLiensSearch_failed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.LiensSearchFailedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "LienFiling.created": { "post": { "tags": [ "Webhook Events" ], "summary": "LienFiling.created", "description": "Emitted when a Liens filing document has been created.", "operationId": "webhook_handlerLienFiling_created_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.LienFilingCreatedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "LienFiling.updated": { "post": { "tags": [ "Webhook Events" ], "summary": "LienFiling.updated", "description": "Emitted when a Liens filing document has been updated.", "operationId": "webhook_handlerLienFiling_updated_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.LienFilingUpdatedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "LienFiling.deleted": { "post": { "tags": [ "Webhook Events" ], "summary": "LienFiling.deleted", "description": "Emitted when a Liens filing document has been deleted.", "operationId": "webhook_handlerLienFiling_deleted_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.LienFilingDeletedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "APIKey.created": { "post": { "tags": [ "Webhook Events" ], "summary": "APIKey.created", "description": "Emitted when a new API Key is created.", "operationId": "webhook_handlerAPIKey_created_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.APIKeyCreatedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "APIKey.deleted": { "post": { "tags": [ "Webhook Events" ], "summary": "APIKey.deleted", "description": "Emitted when an API Key is deleted.", "operationId": "webhook_handlerAPIKey_deleted_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.APIKeyDeletedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "BusinessSearch.submitted": { "post": { "tags": [ "Webhook Events" ], "summary": "BusinessSearch.submitted", "description": "Emitted when a Business search has been submitted for processing.", "operationId": "webhook_handlerBusinessSearch_submitted_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.BusinessSearchSubmittedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "BusinessSearch.completed": { "post": { "tags": [ "Webhook Events" ], "summary": "BusinessSearch.completed", "description": "Emitted when a Business search has completed and business detail results are available.", "operationId": "webhook_handlerBusinessSearch_completed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.BusinessSearchCompletedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "BusinessSearch.failed": { "post": { "tags": [ "Webhook Events" ], "summary": "BusinessSearch.failed", "description": "Emitted when a Business search has failed.", "operationId": "webhook_handlerBusinessSearch_failed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.BusinessSearchFailedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "BusinessSearch.updated": { "post": { "tags": [ "Webhook Events" ], "summary": "BusinessSearch.updated", "description": "Emitted when a Business search has been updated. E.g. if the IRS was down for tin matching, the search may be updated at a later date with the correct tin_matched result.", "operationId": "webhook_handlerBusinessSearch_updated_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.BusinessSearchUpdatedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "BusinessSearch.updated.legacy": { "post": { "tags": [ "Webhook Events" ], "summary": "Business Search Legacy Updated", "description": "Emitted when a Business search has been updated. E.g. if the IRS was down for tin matching, the search may be updated at a later date with the correct tin_matched result.", "operationId": "business_search_legacy_updatedBusinessSearch_updated_legacy_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.BusinessSearchBusinessResponse" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "TINVerification.submitted": { "post": { "tags": [ "Webhook Events" ], "summary": "TINVerification.submitted", "description": "Emitted when a TIN verification has been submitted for processing.", "operationId": "webhook_handlerTINVerification_submitted_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.TINVerificationSubmittedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "TINVerification.completed": { "post": { "tags": [ "Webhook Events" ], "summary": "TINVerification.completed", "description": "Emitted when a TIN verification has completed.", "operationId": "webhook_handlerTINVerification_completed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.TINVerificationCompletedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "TINVerification.failed": { "post": { "tags": [ "Webhook Events" ], "summary": "TINVerification.failed", "description": "Emitted when a TIN verification has failed.", "operationId": "webhook_handlerTINVerification_failed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.TINVerificationFailedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "PersonSearch.submitted": { "post": { "tags": [ "Webhook Events" ], "summary": "PersonSearch.submitted", "description": "Emitted when a Person search has been submitted for processing.", "operationId": "webhook_handlerPersonSearch_submitted_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.PersonSearchSubmittedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "PersonSearch.completed": { "post": { "tags": [ "Webhook Events" ], "summary": "PersonSearch.completed", "description": "Emitted when a Person search has completed and results are available.", "operationId": "webhook_handlerPersonSearch_completed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.PersonSearchCompletedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } }, "PersonSearch.failed": { "post": { "tags": [ "Webhook Events" ], "summary": "PersonSearch.failed", "description": "Emitted when a Person search has failed.", "operationId": "webhook_handlerPersonSearch_failed_post", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1.PersonSearchFailedWebhook" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } } }, "components": { "schemas": { "AddressMatchType": { "type": "string", "enum": [ "NO_MATCH", "CITY", "STATE", "SIMILAR", "EXACT" ], "title": "AddressMatchType" }, "AddressValidationLevel": { "type": "string", "enum": [ "FULL", "PARTIAL", "INVALID" ], "title": "AddressValidationLevel" }, "BusinessSearchOptionsOutput": { "type": "string", "enum": [ "Order.WebsiteAnalysis", "Order.NaicsPrediction", "Order.Pep", "Order.Enhanced" ], "title": "BusinessSearchOptionsOutput" }, "DefaultRequestMode": { "type": "string", "enum": [ "sync", "async" ], "title": "DefaultRequestMode", "description": "Controls whether API key-authenticated requests default to synchronous or asynchronous execution.\n\nExisting API keys default to ``Async`` for backward compatibility. New organizations\nand federations are provisioned with ``Sync`` so new customers get immediate results.\nThe ``Prefer`` header (RFC 7240) always takes precedence over this default." }, "EmployeeVerificationContact": { "properties": { "email": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Email", "description": "Email address." }, "phone": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Phone", "description": "Phone number." } }, "type": "object", "title": "EmployeeVerificationContact" }, "EmployeeVerificationMiscLink": { "properties": { "label": { "type": "string", "title": "Label", "description": "Description of the link (e.g. 'GitHub profile', 'Personal website')." }, "url": { "type": "string", "title": "Url", "description": "URL." } }, "type": "object", "required": [ "label", "url" ], "title": "EmployeeVerificationMiscLink" }, "EmployeeVerificationSocial": { "properties": { "platform": { "$ref": "#/components/schemas/SocialSite", "description": "Social media platform." }, "url": { "type": "string", "title": "Url", "description": "Profile URL." } }, "type": "object", "required": [ "platform", "url" ], "title": "EmployeeVerificationSocial" }, "EmployeeVerificationSource": { "properties": { "url": { "type": "string", "title": "Url", "description": "URL of the source." }, "description": { "type": "string", "title": "Description", "description": "What this source says about the person." } }, "type": "object", "required": [ "url", "description" ], "title": "EmployeeVerificationSource" }, "HTTPValidationError": { "properties": { "detail": { "items": { "$ref": "#/components/schemas/ValidationError" }, "type": "array", "title": "Detail" } }, "type": "object", "title": "HTTPValidationError" }, "IRSTINMatchType": { "type": "string", "enum": [ "SSN", "EIN", "UNKNOWN" ], "title": "IRSTINMatchType" }, "InternationalAddressMatchType": { "type": "string", "enum": [ "NO_MATCH", "REGION", "CITY", "COUNTRY", "EXACT" ], "title": "InternationalAddressMatchType" }, "MatchType": { "type": "string", "enum": [ "NO_MATCH", "SIMILAR", "EXACT" ], "title": "MatchType" }, "NewsSentiment": { "type": "string", "enum": [ "positive", "negative", "neutral" ], "title": "NewsSentiment" }, "OFACSearchRequest": { "properties": { "name": { "type": "string", "title": "Name", "description": "The name to search for in the OFAC database" }, "similarity_threshold": { "type": "number", "maximum": 1, "minimum": 0, "title": "Similarity Threshold", "description": "Similarity threshold for the search (0.0 to 1.0). Defaults to 0.9.", "default": 0.9 }, "limit": { "type": "integer", "maximum": 50, "minimum": 1, "title": "Limit", "description": "The number of results to return. Max 50. Defaults to 1.", "default": 1 } }, "type": "object", "required": [ "name" ], "title": "OFACSearchRequest" }, "OrderType": { "type": "string", "enum": [ "BusinessSearch.submitted", "BusinessSearch.exported", "PersonSearch.submitted", "LiensSearch.submitted", "RegistrationEnrichment.submitted", "RegistrationEnrichment.submitted.DE", "WebsiteAnalysisRequest.submitted", "WebsiteAnalysisRequest.submitted.v2", "WebPresenceRequest.submitted", "DocketSearch.submitted", "LienFiling.submitted", "LienFiling.search_to_reflect", "NAICSPredictionRequest.submitted", "NAICSPredictionRequest.submitted.v2", "DMFSearch.submitted", "TINVerification.submitted", "AdverseMediaSearch.submitted", "EmployeeVerificationRequest.submitted", "InternationalBusinessSearch.submitted", "SCRASearch.submitted", "MLASearch.submitted", "OFACSearch.submitted", "PEPSearch.submitted", "PEPSearch.submitted.v2", "Prefill.submitted", "EnhancedAddOn.submitted", "SocialMediaSearch.submitted", "ReviewSummarySearch.submitted", "ReviewFullSearch.submitted", "DirectoryListingsSearch.submitted", "InternationalOnlinePresenceSurcharge.submitted", "LitigationSearch.submitted", "BankruptcySearch.submitted", "PortfolioItem.monitored" ], "title": "OrderType", "description": "The OrderType enumeration represents the type of order that can be placed." }, "Orderable": { "properties": { "type": { "$ref": "#/components/schemas/OrderableType", "title": "Orderable Type", "description": "The type of optional orderable object that was requested as part of the Business Search options." }, "id": { "type": "string", "format": "uuid", "title": "Orderable Object Identifier", "description": "The unique identifier of the orderable object." }, "url": { "type": "string", "title": "Orderable Object URL", "description": "The URL to the orderable object.", "readOnly": true, "examples": [ "https://api.baselayer.com/website_analysis_requests/9083e7e2-1f6b-11ef-8f0f-1edb1b067314" ] }, "option": { "$ref": "#/components/schemas/BusinessSearchOptionsOutput", "title": "Bussiness Search Option", "description": "The business search option that requested the orderable object.", "readOnly": true } }, "type": "object", "required": [ "type", "id", "url", "option" ], "title": "Orderable" }, "OrderableType": { "type": "string", "enum": [ "WebsiteAnalysisRequest", "NAICSPredictionRequest" ], "title": "OrderableType" }, "RequestOrigin": { "type": "string", "enum": [ "api", "console" ], "title": "RequestOrigin" }, "SocialSite": { "type": "string", "enum": [ "linked_in:personal", "linked_in:company", "twitter", "instagram", "facebook", "youtube", "tiktok", "pinterest", "x" ] }, "StateAbbreviation": { "type": "string", "enum": [ "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "PR", "VI", "AE", "AA", "AP", "GU", "AS" ], "title": "StateAbbreviation" }, "TaskState": { "type": "string", "enum": [ "PENDING", "EXECUTING", "COMPLETED", "FAILED", "CANCELLED" ], "title": "TaskState" }, "ValidationError": { "properties": { "loc": { "items": { "anyOf": [ { "type": "string" }, { "type": "integer" } ] }, "type": "array", "title": "Location" }, "msg": { "type": "string", "title": "Message" }, "type": { "type": "string", "title": "Error Type" } }, "type": "object", "required": [ "loc", "msg", "type" ], "title": "ValidationError" }, "WebhookEvent": { "type": "string", "enum": [ "BusinessSearch.submitted", "BusinessSearch.responded", "BusinessSearch.completed", "BusinessSearch.failed", "BusinessSearch.cancelled", "BusinessSearch.updated", "PersonSearch.submitted", "PersonSearch.completed", "PersonSearch.failed", "DMFSearch.submitted", "DMFSearch.completed", "DMFSearch.failed", "LiensSearch.submitted", "LiensSearch.completed", "LiensSearch.failed", "LienFiling.created", "LienFiling.updated", "LienFiling.deleted", "DocketSearch.submitted", "DocketSearch.completed", "DocketSearch.failed", "DocketDetailsSearch.submitted", "DocketDetailsSearch.completed", "DocketDetailsSearch.failed", "DocketExhibitSearch.submitted", "DocketExhibitSearch.completed", "DocketExhibitSearch.failed", "APIKey.created", "APIKey.deleted", "Order.created", "RegistrationEnrichment.submitted", "RegistrationEnrichment.completed", "RegistrationEnrichment.failed", "NAICSPredictionRequest.submitted", "NAICSPredictionRequest.completed", "NAICSPredictionRequest.failed", "WebsiteAnalysisRequest.submitted", "WebsiteAnalysisRequest.completed", "WebsiteAnalysisRequest.failed", "WebPresenceRequest.submitted", "WebPresenceRequest.completed", "WebPresenceRequest.failed", "PortfolioItem.created", "PortfolioItem.updated", "PortfolioItem.deleted", "PortfolioGroup.created", "PortfolioGroup.updated", "PortfolioGroup.deleted", "TINVerification.submitted", "TINVerification.completed", "TINVerification.failed", "AdverseMediaSearch.submitted", "AdverseMediaSearch.completed", "AdverseMediaSearch.failed", "EmployeeVerificationRequest.submitted", "EmployeeVerificationRequest.completed", "EmployeeVerificationRequest.failed", "InternationalBusinessSearch.submitted", "InternationalBusinessSearch.completed", "InternationalBusinessSearch.failed" ], "title": "WebhookEvent", "description": "The canonical list of supported Webhook events.\n\nEvery Webhook event sent via the notifier must be registered here.\nAn exhaustive match is used against this enumeration to ensure that all\nevents are valid and have corresponding rendering logic.\n\n@see WebhookNotifier.render_payload" }, "WebhookMetadata": { "properties": { "type": { "$ref": "#/components/schemas/WebhookEvent" }, "origin": { "anyOf": [ { "$ref": "#/components/schemas/RequestOrigin" }, { "type": "null" } ] }, "organization_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Organization Id" }, "application_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Application Id" }, "external_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "External Id" }, "application_type": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Application Type" } }, "type": "object", "required": [ "type" ], "title": "WebhookMetadata" }, "v1.AdverseMediaArticle": { "properties": { "title": { "description": "The title of the media article", "examples": [ "Alamo Drafthouse Cinemas Layoffs" ], "title": "Title", "type": "string" }, "snippet": { "description": "The snippet of the media article", "examples": [ "Alamo Drafthouse Cinemas lays off 40 workers at downtown Brooklyn location" ], "title": "Snippet", "type": "string" }, "url": { "description": "The URL of the media article", "examples": [ "https://www.example.com/alamo-drafthouse-cinemas-layoffs" ], "title": "Url", "type": "string" }, "image_url": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "The URI of the image associated with the media article", "title": "Image Url" }, "publish_date": { "anyOf": [ { "format": "date", "type": "string" }, { "type": "null" } ], "default": null, "description": "The date the media article was published", "examples": [ "2026-03-31T23:48:20.571562" ], "title": "Publish Date" }, "sentiment": { "$ref": "#/components/schemas/v1.NewsSentiment", "description": "The sentiment of the media article", "examples": [ "positive", "negative", "neutral" ] } }, "required": [ "title", "snippet", "url", "sentiment" ], "title": "AdverseMediaArticle (v1)", "type": "object" }, "v1.NewsSentiment": { "enum": [ "positive", "negative", "neutral" ], "title": "NewsSentiment", "type": "string" }, "v1.RequestOrigin": { "enum": [ "api", "console" ], "title": "RequestOrigin", "type": "string" }, "v1.TaskState": { "enum": [ "PENDING", "EXECUTING", "COMPLETED", "FAILED", "CANCELLED" ], "title": "TaskState", "type": "string" }, "v1.WebhookEvent": { "description": "The canonical list of supported Webhook events.\n\nEvery Webhook event sent via the notifier must be registered here.\nAn exhaustive match is used against this enumeration to ensure that all\nevents are valid and have corresponding rendering logic.\n\n@see WebhookNotifier.render_payload", "enum": [ "BusinessSearch.submitted", "BusinessSearch.responded", "BusinessSearch.completed", "BusinessSearch.failed", "BusinessSearch.cancelled", "BusinessSearch.updated", "PersonSearch.submitted", "PersonSearch.completed", "PersonSearch.failed", "DMFSearch.submitted", "DMFSearch.completed", "DMFSearch.failed", "LiensSearch.submitted", "LiensSearch.completed", "LiensSearch.failed", "LienFiling.created", "LienFiling.updated", "LienFiling.deleted", "DocketSearch.submitted", "DocketSearch.completed", "DocketSearch.failed", "DocketDetailsSearch.submitted", "DocketDetailsSearch.completed", "DocketDetailsSearch.failed", "DocketExhibitSearch.submitted", "DocketExhibitSearch.completed", "DocketExhibitSearch.failed", "APIKey.created", "APIKey.deleted", "Order.created", "RegistrationEnrichment.submitted", "RegistrationEnrichment.completed", "RegistrationEnrichment.failed", "NAICSPredictionRequest.submitted", "NAICSPredictionRequest.completed", "NAICSPredictionRequest.failed", "WebsiteAnalysisRequest.submitted", "WebsiteAnalysisRequest.completed", "WebsiteAnalysisRequest.failed", "WebPresenceRequest.submitted", "WebPresenceRequest.completed", "WebPresenceRequest.failed", "PortfolioItem.created", "PortfolioItem.updated", "PortfolioItem.deleted", "PortfolioGroup.created", "PortfolioGroup.updated", "PortfolioGroup.deleted", "TINVerification.submitted", "TINVerification.completed", "TINVerification.failed", "AdverseMediaSearch.submitted", "AdverseMediaSearch.completed", "AdverseMediaSearch.failed", "EmployeeVerificationRequest.submitted", "EmployeeVerificationRequest.completed", "EmployeeVerificationRequest.failed", "InternationalBusinessSearch.submitted", "InternationalBusinessSearch.completed", "InternationalBusinessSearch.failed" ], "title": "WebhookEvent", "type": "string" }, "v1.WebhookMetadata": { "properties": { "type": { "$ref": "#/components/schemas/v1.WebhookEvent" }, "origin": { "anyOf": [ { "$ref": "#/components/schemas/v1.RequestOrigin" }, { "type": "null" } ], "default": null }, "organization_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "title": "Organization Id" }, "application_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "title": "Application Id" }, "external_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "title": "External Id" }, "application_type": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "title": "Application Type" } }, "required": [ "type" ], "title": "WebhookMetadata", "type": "object" }, "v1.AddressRDI": { "enum": [ "Residential", "Commercial" ], "title": "AddressRDI", "type": "string" }, "v1.AddressSummaryResponse": { "description": "Response model for address summary data.\n\nThis model defines the structure for address summary API responses.", "properties": { "id": { "description": "Unique identifier for the address.", "format": "uuid", "title": "Id", "type": "string" }, "street": { "description": "Street name of the address.", "examples": [ "913 Hendrix Gardens Suite 492" ], "title": "Street", "type": "string" }, "city": { "description": "City name of the address.", "examples": [ "Jasonfurt" ], "title": "City", "type": "string" }, "state": { "$ref": "#/components/schemas/v1.StateAbbreviation", "description": "State 2 letter abbreviation of the address.", "examples": [ "VA" ] }, "zip": { "description": "Zip code of the address.", "examples": [ "19773" ], "title": "Zip", "type": "string" }, "latitude": { "description": "Latitude of the address.", "examples": [ 38.03012 ], "title": "Latitude", "type": "number" }, "longitude": { "description": "Longitude of the address.", "examples": [ 78.47665 ], "title": "Longitude", "type": "number" }, "rdi": { "anyOf": [ { "$ref": "#/components/schemas/v1.AddressRDI" }, { "type": "null" } ], "default": null, "description": "Residential Delivery Indicator of the address.", "examples": [ "Commercial" ] }, "deliverable": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "default": null, "description": "Indicates whether the address is deliverable.", "examples": [ false ], "title": "Deliverable" }, "cmra": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "default": null, "description": "Indicates whether the address is a Commercial Mail Receiving Agency (CMRA).", "examples": [ false ], "title": "Cmra" }, "url": { "anyOf": [ { "format": "uri", "maxLength": 2083, "minLength": 1, "type": "string" }, { "type": "null" } ], "default": null, "description": "The URL to the address details.", "title": "Url" }, "delivery_type": { "anyOf": [ { "$ref": "#/components/schemas/v1.USPSDeliveryType" }, { "type": "null" } ], "default": null, "description": "The USPS delivery type.", "examples": [ "STREET", "FIRM" ] } }, "required": [ "id", "street", "city", "state", "zip", "latitude", "longitude" ], "title": "AddressSummaryResponse (v1)", "type": "object" }, "v1.AddressSummaryResponseWithSources": { "properties": { "id": { "description": "Unique identifier for the address.", "format": "uuid", "title": "Id", "type": "string" }, "street": { "description": "Street name of the address.", "examples": [ "913 Hendrix Gardens Suite 492" ], "title": "Street", "type": "string" }, "city": { "description": "City name of the address.", "examples": [ "Jasonfurt" ], "title": "City", "type": "string" }, "state": { "$ref": "#/components/schemas/v1.StateAbbreviation", "description": "State 2 letter abbreviation of the address.", "examples": [ "VA" ] }, "zip": { "description": "Zip code of the address.", "examples": [ "19773" ], "title": "Zip", "type": "string" }, "latitude": { "description": "Latitude of the address.", "examples": [ 38.03012 ], "title": "Latitude", "type": "number" }, "longitude": { "description": "Longitude of the address.", "examples": [ 78.47665 ], "title": "Longitude", "type": "number" }, "rdi": { "anyOf": [ { "$ref": "#/components/schemas/v1.AddressRDI" }, { "type": "null" } ], "default": null, "description": "Residential Delivery Indicator of the address.", "examples": [ "Commercial" ] }, "deliverable": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "default": null, "description": "Indicates whether the address is deliverable.", "examples": [ false ], "title": "Deliverable" }, "cmra": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "default": null, "description": "Indicates whether the address is a Commercial Mail Receiving Agency (CMRA).", "examples": [ false ], "title": "Cmra" }, "url": { "anyOf": [ { "format": "uri", "maxLength": 2083, "minLength": 1, "type": "string" }, { "type": "null" } ], "default": null, "description": "The URL to the address details.", "title": "Url" }, "delivery_type": { "anyOf": [ { "$ref": "#/components/schemas/v1.USPSDeliveryType" }, { "type": "null" } ], "default": null, "description": "The USPS delivery type.", "examples": [ "STREET", "FIRM" ] }, "sources": { "description": "The sources of the address.", "examples": [ [ "Online", "SOS" ] ], "items": { "$ref": "#/components/schemas/v1.EntitySource" }, "title": "Sources", "type": "array", "uniqueItems": true } }, "required": [ "id", "street", "city", "state", "zip", "latitude", "longitude" ], "title": "AddressSummaryResponseWithSources (v1)", "type": "object" }, "v1.BusinessOfficerResponse": { "description": "Response model for business officer data.", "properties": { "name": { "description": "The name of the officer.", "examples": [ "Philip Mcguire" ], "title": "Name", "type": "string" }, "titles": { "default": [], "description": "The titles associated with the officer.", "examples": [ [ "CEO", "Founder" ] ], "items": { "type": "string" }, "title": "Titles", "type": "array" }, "states": { "default": [], "description": "The states where the officer is registered.", "examples": [ [ "CA", "NY" ] ], "items": { "$ref": "#/components/schemas/v1.StateAbbreviation" }, "title": "States", "type": "array" }, "sources": { "description": "The sources of the officer.", "examples": [ [ "Online", "SOS" ] ], "items": { "$ref": "#/components/schemas/v1.EntitySource" }, "title": "Sources", "type": "array", "uniqueItems": true } }, "required": [ "name" ], "title": "BusinessOfficerResponse (v1)", "type": "object" }, "v1.BusinessStructure": { "enum": [ "SOLE_PROPRIETORSHIP", "GENERAL_PARTNERSHIP", "LLC", "LLP", "LLLP", "LP", "C_CORPORATION", "S_CORPORATION", "B_CORPORATION", "NONPROFIT", "COOPERATIVE", "TRUST", "PROFESSIONAL_ASSOCIATION", "PROFESSIONAL_CORPORATION", "TRADE_NAME", "BANK", "CREDIT_UNION", "INSURANCE", "OTHER" ], "title": "BusinessStructure", "type": "string" }, "v1.ConfidenceLevel": { "enum": [ "high", "medium", "low" ], "title": "ConfidenceLevel", "type": "string" }, "v1.CorporateRegistrationAgentResponse": { "description": "Response model for corporate registration agent data.", "properties": { "name": { "description": "The name of the registered agent.", "examples": [ "Jeremy Crawford" ], "title": "Name", "type": "string" }, "address": { "anyOf": [ { "$ref": "#/components/schemas/v1.AddressSummaryResponse" }, { "type": "null" } ], "default": null, "description": "The AddressSummaryResponse of the address associated with the registered agent", "examples": [ { "city": "Andrewton", "cmra": false, "deliverable": false, "delivery_type": null, "id": "85e22d33-1f97-4729-9dec-5f2cf3893403", "latitude": 34.0522, "longitude": -118.2437, "rdi": null, "state": "CA", "street": "3032 Mark Parks Andrewton, CA 27458", "url": null, "zip": "27458" } ] } }, "required": [ "name" ], "title": "CorporateRegistrationAgentResponse (v1)", "type": "object" }, "v1.CorporateRegistrationDomesticStatus": { "description": "Status of the corporate registration filing.", "enum": [ "foreign", "domestic", "unknown" ], "title": "CorporateRegistrationDomesticStatus", "type": "string" }, "v1.CorporateRegistrationStatus": { "description": "Status field indicating whether the corporate registration filing is\nactive or inactive.", "enum": [ "active", "inactive", "unknown" ], "title": "CorporateRegistrationStatus", "type": "string" }, "v1.DirectoryListingPerson": { "description": "An officer, principal, or key person listed on a directory page.", "properties": { "name": { "title": "Name", "type": "string" }, "title": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "title": "Title" } }, "required": [ "name" ], "title": "DirectoryListingPerson", "type": "object" }, "v1.DirectoryListingResponse": { "description": "A business listing discovered on a directory/aggregator site (BBB, Yelp, etc.).\n\nThis is the public schema representation of directory listing data.\nShadowed from the internal transient model to keep the OpenAPI spec\nstable and decoupled from internal IPC models.", "properties": { "source": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Directory domain where the listing was found.", "examples": [ "bbb.org", "yelp.com", "yellowpages.com" ], "title": "Source" }, "url": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "URL of the directory page that was scraped.", "examples": [ "https://www.bbb.org/us/ca/modesto/profile/plumber/joes-plumbing-1234" ], "title": "Url" }, "category": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business category assigned by the directory site.", "examples": [ "Plumbing Contractor", "Italian Restaurant", "Moving Company" ], "title": "Category" }, "business_name": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business name as listed on the directory (may be a DBA).", "examples": [ "Joe's Plumbing & Heating" ], "title": "Business Name" }, "phone_number": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Phone number from the directory listing.", "title": "Phone Number" }, "email": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Email address from the directory listing.", "title": "Email" }, "business_website": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Website URL listed on the directory page for the business.", "title": "Business Website" }, "address": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Physical address from the directory listing.", "title": "Address" }, "people": { "description": "Officers, principals, or key people listed on the directory page.", "items": { "$ref": "#/components/schemas/v1.DirectoryListingPerson" }, "title": "People", "type": "array" } }, "title": "DirectoryListingResponse (v1)", "type": "object" }, "v1.DiscoveredFacebookMetadata": { "description": "Facebook-specific metadata extracted from a verified business profile.", "properties": { "is_business_page": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "default": null, "description": "Whether this is a Facebook business page vs personal profile", "title": "Is Business Page" }, "has_reviews": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "default": null, "description": "Whether the Facebook page has customer reviews", "title": "Has Reviews" }, "check_ins_count": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "default": null, "description": "Number of check-ins at this business location", "title": "Check Ins Count" }, "followers_count": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "default": null, "description": "Number of followers if displayed", "title": "Followers Count" }, "bio": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Facebook bio/description content", "title": "Bio" }, "phone_number": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business phone number if found in profile", "title": "Phone Number" }, "address": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business address if found in profile", "title": "Address" }, "email": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business email address if found in profile", "title": "Email" }, "business_website": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business website URL if found in profile", "title": "Business Website" } }, "title": "DiscoveredFacebookMetadata", "type": "object" }, "v1.DiscoveredInstagramMetadata": { "description": "Instagram-specific metadata extracted from a verified business profile.", "properties": { "is_private": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "default": null, "description": "Whether the Instagram account is private", "examples": [ false, true ], "title": "Is Private" }, "is_business_account": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "default": null, "description": "Whether this is an Instagram business account", "examples": [ true, false ], "title": "Is Business Account" }, "has_business_address": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "default": null, "description": "Whether the business address is displayed on the Instagram profile", "examples": [ true, false ], "title": "Has Business Address" }, "bio": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Instagram bio/description content", "examples": [ "Professional roofing services since 2010 🏠" ], "title": "Bio" }, "followers_count": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "default": null, "description": "Number of followers if displayed", "examples": [ 1250, 5000 ], "title": "Followers Count" }, "phone_number": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business phone number if found in profile", "examples": [ "+12125551234" ], "title": "Phone Number" }, "email": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business email address if found in profile", "examples": [ "contact@business.com" ], "title": "Email" }, "address": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business address if found in profile", "examples": [ "123 Main St, Anytown, USA" ], "title": "Address" }, "business_website": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business website URL if found in profile", "examples": [ "https://www.business.com" ], "title": "Business Website" } }, "title": "DiscoveredInstagramMetadata", "type": "object" }, "v1.DiscoveredLinkedInMetadata": { "description": "LinkedIn-specific metadata extracted from a verified business profile.", "properties": { "company_size_range": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Company size range as displayed on LinkedIn (e.g., '11-50 employees')", "examples": [ "11-50 employees", "51-200 employees" ], "title": "Company Size Range" }, "industry": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Industry classification from LinkedIn", "examples": [ "Construction", "Financial Services" ], "title": "Industry" }, "followers_count": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "default": null, "description": "Number of followers if displayed", "examples": [ 250, 1500 ], "title": "Followers Count" }, "phone_number": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business phone number if found in profile", "examples": [ "+12125551234" ], "title": "Phone Number" }, "bio": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "LinkedIn bio/description content", "title": "Bio" }, "email": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business email address if found in profile", "examples": [ "info@business.com" ], "title": "Email" }, "number_of_employees": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "default": null, "description": "Number of employees (LinkedIn only)", "examples": [ 25, 150 ], "title": "Number Of Employees" }, "business_website": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business website URL if found in profile", "examples": [ "https://www.business.com" ], "title": "Business Website" } }, "title": "DiscoveredLinkedInMetadata", "type": "object" }, "v1.DiscoveredPinterestMetadata": { "description": "Pinterest-specific metadata extracted from a verified business profile.", "properties": { "follower_count": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "default": null, "description": "Number of followers if displayed", "title": "Follower Count" }, "monthly_views": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "default": null, "description": "Monthly views count if displayed", "title": "Monthly Views" }, "bio": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Pinterest profile bio/description content", "title": "Bio" }, "has_business_website": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "default": null, "description": "Whether a business website link is provided", "title": "Has Business Website" }, "phone_number": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business phone number if found in profile", "title": "Phone Number" }, "email": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business email address if found in profile", "title": "Email" }, "business_website": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business website URL if found in profile", "title": "Business Website" } }, "title": "DiscoveredPinterestMetadata", "type": "object" }, "v1.DiscoveredReview": { "properties": { "source": { "anyOf": [ { "$ref": "#/components/schemas/v1.ReviewSource" }, { "type": "null" } ], "default": null, "description": "The source of the review.", "examples": [ "yelp" ] }, "url": { "description": "The URL of the review.", "examples": [ "https://www.yelp.com/biz/certified-power-inc-mundelein" ], "title": "Url", "type": "string" }, "confidence": { "anyOf": [ { "$ref": "#/components/schemas/v1.ConfidenceLevel" }, { "type": "null" } ], "default": "high", "description": "The confidence level that this review is for the business.", "examples": [ "high" ] }, "rating": { "anyOf": [ { "maximum": 5, "minimum": 0, "type": "number" }, { "type": "null" } ], "default": null, "description": "The numeric rating of the review (e.g., 4.5 out of 5).", "examples": [ 4.5 ], "title": "Rating" }, "volume": { "anyOf": [ { "minimum": 0, "type": "integer" }, { "type": "null" } ], "default": null, "description": "The number of reviews.", "examples": [ 23 ], "title": "Volume" }, "summary": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Overall summary of the reviews and general sentiment towards the business.", "examples": [ "5 reviews mention that the service was great and the owner was very helpful." ], "title": "Summary" }, "phone_number": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business phone number if found in profile", "examples": [ "+12125551234" ], "title": "Phone Number" }, "address": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business address if found in profile", "examples": [ "123 Main St, Anytown, USA" ], "title": "Address" }, "business_website": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business website if found in profile", "examples": [ "https://www.example.com" ], "title": "Business Website" }, "reviews": { "description": "Individual reviews for this business.", "items": { "$ref": "#/components/schemas/v1.ReviewDetail" }, "title": "Reviews", "type": "array" }, "metadata": { "anyOf": [ { "$ref": "#/components/schemas/v1.GoogleReviewMetadata" }, { "type": "null" } ], "default": null, "description": "Platform-specific metadata for the review. Currently only populated for Google reviews." } }, "required": [ "url" ], "title": "DiscoveredReview", "type": "object" }, "v1.DiscoveredSocialProfile": { "properties": { "site": { "description": "The type of social profile.", "enum": [ "linked_in:personal", "linked_in:company", "twitter", "instagram", "facebook", "youtube", "tiktok", "pinterest", "x" ], "examples": [ "instagram" ], "type": "string" }, "username": { "description": "The username of the social profile.", "examples": [ "certifiedpowerinc" ], "title": "Username", "type": "string" }, "confidence": { "anyOf": [ { "$ref": "#/components/schemas/v1.ConfidenceLevel" }, { "type": "null" } ], "default": null, "description": "The confidence level of the social profile.", "examples": [ "high" ] }, "metadata": { "anyOf": [ { "$ref": "#/components/schemas/v1.DiscoveredInstagramMetadata" }, { "$ref": "#/components/schemas/v1.DiscoveredLinkedInMetadata" }, { "$ref": "#/components/schemas/v1.DiscoveredFacebookMetadata" }, { "$ref": "#/components/schemas/v1.DiscoveredXMetadata" }, { "$ref": "#/components/schemas/v1.DiscoveredYouTubeMetadata" }, { "$ref": "#/components/schemas/v1.DiscoveredTikTokMetadata" }, { "$ref": "#/components/schemas/v1.DiscoveredPinterestMetadata" }, { "type": "null" } ], "default": null, "description": "The metadata of the social profile. Based on the site of the social profile.", "title": "Metadata" }, "found_on": { "description": "Location(s) where this social profile was found: InputWebsite (user-provided website), FoundWebsite (discovered website)", "examples": [ [ "FOUND_WEBSITE" ], [ "FOUND_WEBSITE", "INPUT_WEBSITE" ] ], "items": { "enum": [ "INPUT_WEBSITE", "FOUND_WEBSITE" ], "type": "string" }, "title": "Found On", "type": "array", "uniqueItems": true }, "url": { "description": "The URL of the social profile.", "examples": [ "https://www.instagram.com/certifiedpowerinc" ], "readOnly": true, "title": "Url", "type": "string" } }, "required": [ "site", "username", "url" ], "title": "DiscoveredSocialProfile", "type": "object" }, "v1.DiscoveredTikTokMetadata": { "description": "TikTok-specific metadata extracted from a verified business profile.", "properties": { "is_verified": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "default": null, "description": "Whether the TikTok account is verified", "examples": [ true, false ], "title": "Is Verified" }, "is_business_account": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "default": null, "description": "Whether this is a TikTok business account", "examples": [ true, false ], "title": "Is Business Account" }, "follower_count": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "default": null, "description": "Number of followers if displayed", "examples": [ 5000, 25000 ], "title": "Follower Count" }, "bio": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "TikTok bio/description content", "examples": [ "Your trusted local contractor 🔨 Follow for tips!" ], "title": "Bio" }, "has_business_website": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "default": null, "description": "Whether a business website link is provided", "examples": [ true, false ], "title": "Has Business Website" }, "phone_number": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business phone number if found in profile", "examples": [ "+12125551234" ], "title": "Phone Number" }, "email": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business email address if found in profile", "examples": [ "contact@business.com" ], "title": "Email" }, "business_website": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business website URL if found in profile", "examples": [ "https://www.business.com" ], "title": "Business Website" } }, "title": "DiscoveredTikTokMetadata", "type": "object" }, "v1.DiscoveredXMetadata": { "description": "Twitter/X-specific metadata extracted from a verified business profile.", "properties": { "is_verified": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "default": null, "description": "Whether the Twitter/X account is verified", "examples": [ true, false ], "title": "Is Verified" }, "follower_count": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "default": null, "description": "Number of followers if displayed", "examples": [ 1500, 10000 ], "title": "Follower Count" }, "bio": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Twitter/X bio/description content", "examples": [ "Leading provider of construction services in the NYC area" ], "title": "Bio" }, "joined_date": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "When the account joined Twitter/X (e.g., 'Joined February 2010')", "examples": [ "Joined February 2010", "Joined March 2015" ], "title": "Joined Date" }, "address": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business address if found in profile", "examples": [ "123 Main St, Anytown, USA" ], "title": "Address" }, "phone_number": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business phone number if found in profile", "examples": [ "+12125551234" ], "title": "Phone Number" }, "email": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business email address if found in profile", "examples": [ "contact@business.com" ], "title": "Email" }, "business_website": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business website URL if found in profile", "examples": [ "https://www.business.com" ], "title": "Business Website" } }, "title": "DiscoveredXMetadata", "type": "object" }, "v1.DiscoveredYouTubeMetadata": { "description": "YouTube-specific metadata extracted from a verified business channel.", "properties": { "is_verified": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "default": null, "description": "Whether the YouTube channel is verified", "examples": [ true, false ], "title": "Is Verified" }, "subscriber_count": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "default": null, "description": "Number of subscribers if displayed", "examples": [ 1200, 15000 ], "title": "Subscriber Count" }, "channel_type": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Type of channel (e.g., 'Business', 'Brand', 'Personal')", "examples": [ "Business", "Brand", "Personal" ], "title": "Channel Type" }, "has_business_email": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "default": null, "description": "Whether business contact email is provided", "examples": [ true, false ], "title": "Has Business Email" }, "channel_description": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Channel about/description content", "examples": [ "Weekly tutorials on home improvement and DIY projects" ], "title": "Channel Description" }, "followers_count": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "default": null, "description": "Number of followers if displayed", "examples": [ 1200, 15000 ], "title": "Followers Count" }, "phone_number": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business phone number if found in profile", "examples": [ "+12125551234" ], "title": "Phone Number" }, "email": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business email address if found in profile", "examples": [ "business@example.com" ], "title": "Email" }, "business_website": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business website URL if found in profile", "examples": [ "https://www.business.com" ], "title": "Business Website" } }, "title": "DiscoveredYouTubeMetadata", "type": "object" }, "v1.EntitySource": { "enum": [ "SOS", "Online" ], "title": "EntitySource", "type": "string" }, "v1.GoogleReviewMetadata": { "description": "Google Maps-specific metadata for a discovered review.", "properties": { "open_state": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Current open/closed state from Google Maps.", "examples": [ "Open", "Closed", "Temporarily closed" ], "title": "Open State" }, "operating_hours": { "anyOf": [ { "additionalProperties": true, "type": "object" }, { "type": "null" } ], "default": null, "description": "Operating hours data from Google Maps.", "title": "Operating Hours" }, "description": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Business description from Google Maps.", "title": "Description" }, "types": { "anyOf": [ { "items": { "type": "string" }, "type": "array" }, { "type": "null" } ], "default": null, "description": "Business type tags from Google Maps.", "examples": [ [ "Restaurant", "Italian restaurant" ] ], "title": "Types" }, "service_options": { "anyOf": [ { "additionalProperties": true, "type": "object" }, { "type": "null" } ], "default": null, "description": "Service options from Google Maps (e.g., dine-in, takeout).", "title": "Service Options" } }, "title": "GoogleReviewMetadata", "type": "object" }, "v1.MCC": { "description": "Represents a Merchant Category Code (MCC).", "properties": { "code": { "description": "The 4-digit MCC.", "title": "Code", "type": "string" }, "description": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Description of the MCC.", "title": "Description" }, "mastercard_risk": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "default": null, "description": "Indicates if there is a risk associated with Mastercard transactions.", "title": "Mastercard Risk" }, "visa_risk_tier": { "anyOf": [ { "$ref": "#/components/schemas/v1.VisaRiskTier" }, { "type": "null" } ], "default": null, "description": "The Visa risk tier associated with this MCC." } }, "required": [ "code" ], "title": "MCC", "type": "object" }, "v1.PredictedNaicsResponse": { "properties": { "code": { "description": "The predicted NAICS code for the business.", "examples": [ "336111" ], "title": "Code", "type": "string" }, "title": { "description": "The title of the predicted NAICS code.", "examples": [ "Automobile Manufacturing" ], "title": "Title", "type": "string" }, "accuracy": { "anyOf": [ { "type": "number" }, { "type": "null" } ], "default": null, "description": "The accuracy of the NAICS code prediction.", "examples": [ 1, 0.4 ], "title": "Accuracy" }, "keywords": { "anyOf": [ { "items": { "type": "string" }, "type": "array" }, { "type": "null" } ], "default": null, "description": "Any keywords associated with the NAICS code to indicate area of business activity.", "examples": [ [ "Automobiles", "Manufacturing", "Cars", "Trucks" ] ], "title": "Keywords" }, "mcc_codes": { "anyOf": [ { "items": { "$ref": "#/components/schemas/v1.MCC" }, "type": "array" }, { "type": "null" } ], "default": null, "description": "List of MCC codes associated with the NAICS code.", "title": "Mcc Codes" }, "sic_codes": { "anyOf": [ { "items": { "$ref": "#/components/schemas/v1.SICCode" }, "type": "array" }, { "type": "null" } ], "default": null, "description": "List of SIC codes associated with the NAICS code.", "title": "Sic Codes" }, "risk_level": { "anyOf": [ { "$ref": "#/components/schemas/v1.RiskLevel" }, { "type": "null" } ], "default": null, "description": "The risk level associated with the NAICS code.", "examples": [ "low", "medium", "high" ] }, "reasoning": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Explanation of why this specific NAICS code was chosen for the business.", "examples": [ "Based on homepage content mentioning automobile manufacturing and assembly processes.", "Reviews and social profiles consistently reference restaurant and food service operations." ], "title": "Reasoning" } }, "required": [ "code", "title" ], "title": "PredictedNaicsResponse (v1)", "type": "object" }, "v1.RegistrationOfficerResponse": { "description": "Response model for registration officer data.", "properties": { "name": { "description": "The name of the officer.", "examples": [ "Tyler Johnson" ], "title": "Name", "type": "string" }, "titles": { "default": [], "description": "The titles associated with the officer.", "examples": [ [ "CEO", "Founder" ] ], "items": { "type": "string" }, "title": "Titles", "type": "array" } }, "required": [ "name" ], "title": "RegistrationOfficerResponse (v1)", "type": "object" }, "v1.RegistrationResponse": { "description": "Response model for corporate registration data.", "properties": { "id": { "description": "The unique identifier of the corporate registration.", "format": "uuid", "title": "Id", "type": "string" }, "name": { "description": "The name on the registration.", "examples": [ "Garcia, Hernandez and Woods" ], "title": "Name", "type": "string" }, "issue_date": { "anyOf": [ { "format": "date", "type": "string" }, { "type": "null" } ], "default": null, "description": "The date the registration was issued.", "examples": [ "2024-01-01" ], "title": "Issue Date" }, "inactive_date": { "anyOf": [ { "format": "date", "type": "string" }, { "type": "null" } ], "description": "The date the registration became inactive.", "examples": [ "2024-06-01" ], "title": "Inactive Date" }, "dissolution_date": { "anyOf": [ { "format": "date", "type": "string" }, { "type": "null" } ], "default": null, "description": "The date the registration was dissolved in the given state.", "examples": [ "2024-06-01" ], "title": "Dissolution Date" }, "file_number": { "description": "The file number of the registration.", "examples": [ "867124" ], "title": "File Number", "type": "string" }, "state": { "$ref": "#/components/schemas/v1.StateAbbreviation", "description": "The state in which the registration was filed.", "examples": [ "AZ" ] }, "address": { "anyOf": [ { "$ref": "#/components/schemas/v1.AddressSummaryResponse" }, { "type": "null" } ], "default": null, "description": "The address associated with the registration." }, "registration_type": { "anyOf": [ { "$ref": "#/components/schemas/v1.CorporateRegistrationDomesticStatus" }, { "type": "null" } ], "default": null, "description": "Whether the registration is domestic or foreign.", "examples": [ "domestic", "foreign", "unknown" ] }, "status": { "$ref": "#/components/schemas/v1.CorporateRegistrationStatus", "description": "Status field indicating whether the corporate registration filing is active or inactive.", "examples": [ "active", "inactive", "unknown" ] }, "standing": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "The standing of the registration.", "examples": [ "In Good Standing", "Inactive", "Dissolved" ], "title": "Standing" }, "registered_agent": { "anyOf": [ { "$ref": "#/components/schemas/v1.CorporateRegistrationAgentResponse" }, { "type": "null" } ], "default": null, "description": "The Registered Agent listed on the Registration." }, "officers": { "default": [], "description": "The officers listed on the registration.", "items": { "$ref": "#/components/schemas/v1.RegistrationOfficerResponse" }, "title": "Officers", "type": "array" } }, "required": [ "id", "name", "file_number", "state", "status" ], "title": "RegistrationResponse (v1)", "type": "object" }, "v1.ReviewDetail": { "properties": { "username": { "description": "The username of the reviewer.", "examples": [ "John Doe" ], "title": "Username", "type": "string" }, "text": { "description": "The text of the review.", "examples": [ "This is a great review!" ], "title": "Text", "type": "string" }, "date": { "description": "The date of the review.", "examples": [ "2024-01-01" ], "format": "date", "title": "Date", "type": "string" }, "rating": { "description": "The rating of the review.", "examples": [ 5 ], "title": "Rating", "type": "integer" } }, "required": [ "username", "text", "date", "rating" ], "title": "ReviewDetail", "type": "object" }, "v1.ReviewSource": { "enum": [ "yelp", "google", "trustpilot", "tripadvisor", "other" ], "title": "ReviewSource", "type": "string" }, "v1.RiskLevel": { "enum": [ "high", "medium", "low", "no_risk" ], "title": "RiskLevel", "type": "string" }, "v1.SICCode": { "description": "Represents a Standard Industrial Classification (SIC) code.", "properties": { "code": { "description": "The 4-digit SIC code.", "title": "Code", "type": "string" }, "description": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "Description of the SIC code.", "title": "Description" } }, "required": [ "code" ], "title": "SICCode", "type": "object" }, "v1.StateAbbreviation": { "enum": [ "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "PR", "VI", "AE", "AA", "AP", "GU", "AS" ], "title": "StateAbbreviation", "type": "string" }, "v1.USPSDeliveryType": { "description": "Enum representing the different types of USPS delivery points.\nUsed to classify addresses based on how mail is delivered to them.", "enum": [ "FIRM", "GENERAL_DELIVERY", "HIGH_RISE", "POST_OFFICE", "RURAL_ROUTE", "STREET" ], "title": "USPSDeliveryType", "type": "string" }, "v1.VisaRiskTier": { "enum": [ 1, 2, 3 ], "title": "VisaRiskTier", "type": "integer" }, "v1.WatchlistDataSource": { "enum": [ "Death Master File", "Department of Treasury, Office of Foreign Assets Control", "Politically Exposed Persons", "IRS Exempt Organizations List", "FBI Wanted List", "Department of Commerce, Consolidated Screening List", "Consolidated Canadian Autonomous Sanctions List", "HHS OIG List of Excluded Individuals/Entities" ], "title": "WatchlistDataSource", "type": "string" }, "v1.WatchlistHitResponse": { "properties": { "code": { "description": "The code of the watchlist data source.", "examples": [ "DMF" ], "title": "Code" }, "name": { "$ref": "#/components/schemas/v1.WatchlistDataSource", "description": "The name of the watchlist data source.", "examples": [ "Death Master File" ] }, "count": { "description": "The number of hits found in the watchlist data source.", "examples": [ 1, 0, 5 ], "title": "Count", "type": "integer" }, "details": { "anyOf": [ { "items": { "additionalProperties": true, "type": "object" }, "type": "array" }, { "type": "null" } ], "default": [], "description": "The details of the watchlist hits.", "examples": [ [ { "address": "123 Main St", "date_of_birth": "1980-01-01", "name": "John Doe" } ] ], "title": "Details" } }, "required": [ "code", "name", "count" ], "title": "WatchlistHitResponse (v1)", "type": "object" }, "v1.AddressMatchType": { "enum": [ "NO_MATCH", "CITY", "STATE", "SIMILAR", "EXACT" ], "title": "AddressMatchType", "type": "string" }, "v1.BusinessResponse": { "description": "Response model for business data.\n\nThis model defines the complete structure for business-related API responses.", "properties": { "id": { "description": "Unique identifier for the business.", "format": "uuid", "title": "Id", "type": "string" }, "name": { "description": "The name of the business, determined by the name found on the domestic registration.", "examples": [ "Levine-Santos" ], "title": "Name", "type": "string" }, "structure": { "anyOf": [ { "$ref": "#/components/schemas/v1.BusinessStructure" }, { "type": "null" } ], "default": null, "description": "The structure of the business.", "examples": [ "C_CORPORATION", "LLC" ] }, "addresses": { "description": "All addresses found associated with this business entity.", "items": { "$ref": "#/components/schemas/v1.AddressSummaryResponseWithSources" }, "title": "Addresses", "type": "array" }, "phone_numbers": { "description": "All phone numbers found associated with this business entity.", "examples": [ [ "251-829-8026" ] ], "items": { "type": "string" }, "title": "Phone Numbers", "type": "array" }, "email": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "The main email found associated with this business entity.", "examples": [ "kathleenholmes@example.com" ], "title": "Email" }, "website": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "description": "The website found associated with this business entity.", "examples": [ "http://www.cruz-adkins.net/" ], "title": "Website" }, "social_profiles": { "anyOf": [ { "items": { "$ref": "#/components/schemas/v1.DiscoveredSocialProfile" }, "type": "array" }, { "type": "null" } ], "default": null, "description": "The list of social media profiles potentially associated with this business entity that were identified by searching the web.", "examples": [ { "confidence": null, "found_on": [], "metadata": null, "site": "twitter", "url": "https://twitter.com/michelle98", "username": "michelle98" } ], "title": "Social Profiles" }, "reviews": { "anyOf": [ { "items": { "$ref": "#/components/schemas/v1.DiscoveredReview" }, "type": "array" }, { "type": "null" } ], "description": "The list of customer reviews potentially associated with this business entity that were identified by searching the web.", "title": "Reviews" }, "directory_listings": { "anyOf": [ { "items": { "$ref": "#/components/schemas/v1.DirectoryListingResponse" }, "type": "array" }, { "type": "null" } ], "description": "Directory listings (BBB, Yelp, etc.) discovered during website analysis, including business category, contact info, and address.", "title": "Directory Listings" }, "ein": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "deprecated": true, "description": "The EIN/TIN found associated with this business entity.", "examples": [ "871888915" ], "title": "Ein" }, "incorporation_state": { "anyOf": [ { "$ref": "#/components/schemas/v1.StateAbbreviation" }, { "type": "null" } ], "default": null, "description": "The state in which the business first incorporated.", "examples": [ "HI" ] }, "incorporation_date": { "anyOf": [ { "format": "date", "type": "string" }, { "type": "null" } ], "default": null, "description": "The date when the business first incorporated.", "examples": [ "2011-11-27" ], "title": "Incorporation Date" }, "months_in_business": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "default": null, "description": "The number of months elapsed since the incorporation date.", "examples": [ 256 ], "title": "Months In Business" }, "primary_address": { "anyOf": [ { "$ref": "#/components/schemas/v1.AddressSummaryResponse" }, { "type": "null" } ], "default": null, "description": "The primary address associated with the business entity." }, "alternative_names": { "default": [], "description": "A list of alternative names (e.g. DBAs) found associated with the business entity.", "examples": [ [ "Ramos, Garcia and Good" ] ], "items": { "type": "string" }, "title": "Alternative Names", "type": "array" }, "registrations": { "description": "The corporate registrations associated with the business entity.", "items": { "$ref": "#/components/schemas/v1.RegistrationResponse" }, "title": "Registrations", "type": "array" }, "business_officers": { "description": "The officers associated with the business entity.", "items": { "$ref": "#/components/schemas/v1.BusinessOfficerResponse" }, "title": "Business Officers", "type": "array" }, "predicted_naics": { "default": [], "deprecated": true, "description": "The predicted NAICS code(s) for the business entity.", "items": { "$ref": "#/components/schemas/v1.PredictedNaicsResponse" }, "title": "Predicted Naics", "type": "array" }, "watchlist_hits": { "default": [], "description": "The watchlist hits associated with the business entity.", "items": { "$ref": "#/components/schemas/v1.WatchlistHitResponse" }, "title": "Watchlist Hits", "type": "array" }, "url": { "description": "The URL to the business details.", "examples": [ "https://api.baselayer.com/businesses/9083e7e2-1f6b-11ef-8f0f-1edb1b067314" ], "format": "uri", "maxLength": 2083, "minLength": 1, "title": "Url", "type": "string" }, "console_url": { "description": "The URL to the business details in the console.", "examples": [ "https://console.baselayer.com/business/9083e7e2-1f6b-11ef-8f0f-1edb1b067314" ], "format": "uri", "maxLength": 2083, "minLength": 1, "title": "Console Url", "type": "string" }, "revenue": { "default": null, "deprecated": true, "description": "Indicates that there is no recent revenue data available for the business.", "title": "No revenue data", "type": "null" }, "phone_number": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "default": null, "deprecated": true, "description": "The primary phone number found associated with the business.", "examples": [ "955-714-3269" ], "title": "Phone Number" }, "address": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "deprecated": true, "description": "The primary address associated with the business entity.", "examples": [ "63788 Paige Lane Cooperfurt, MI 10037" ], "readOnly": true, "title": "Address" } }, "required": [ "id", "name", "url", "console_url", "address" ], "title": "BusinessResponse (v1)", "type": "object" }, "v1.MatchType": { "enum": [ "NO_MATCH", "SIMILAR", "EXACT" ], "title": "MatchType", "type": "string" }, "v1.ScoreResponse": { "p
[...]
